Bug 925121 - bzflag: Does not support aarch64 in f19 and rawhide
Summary: bzflag: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bzflag
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Makey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 924938
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:09 UTC by Dennis Gilmore
Modified: 2013-03-26 17:06 UTC (History)
3 users (show)

Fixed In Version: bzflag-2.4.2-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-26 17:06:12 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:09:46 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  bzflag appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/bzflag/bzflag-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Jeff Makey 2013-03-24 03:41:21 UTC
A fix is committed to git, but the koji build fails because of the missing automake dependency noted in bug 924938.  If that bug isn't resolved soon enough I can work around it by adding perl-Carp as a bzflag build dependency.

Comment 2 Jeff Makey 2013-03-26 17:06:12 UTC
bzflag-2.4.2-6 has been built for rawhide and f19.  This RPM version provides aarch64 support by regenerating the configuration scripts -- including config.guess and config.sub -- using the current autoconf (2.69 at this time) in %prep.


Note You need to log in before you can comment on or make changes to this bug.